"""ajout modèles législatives 2022 + 2024

Revision ID: d6a8883dd958
Revises: c0443e979a90
Create Date: 2024-06-20 16:54:24.042835

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'd6a8883dd958'
down_revision: Union[str, None] = 'c0443e979a90'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('legislatives_2022_bloc',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nom', sa.String(length=32), nullable=False),
    sa.Column('couleur', sa.String(length=7), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('nom')
    )
    op.create_table('legislatives_2022_resultats_france',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_bloc',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nom', sa.String(length=32), nullable=False),
    sa.Column('couleur', sa.String(length=7), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('nom')
    )
    op.create_table('legislatives_2024_resultats_france',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_nuance',
    sa.Column('code', sa.String(length=8), nullable=False),
    sa.Column('nom', sa.String(length=64), nullable=False),
    sa.Column('couleur', sa.String(length=7), nullable=False),
    sa.Column('bloc_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['bloc_id'], ['legislatives_2022_bloc.id'], ),
    sa.PrimaryKeyConstraint('code'),
    sa.UniqueConstraint('nom')
    )
    op.create_table('legislatives_2022_resultats_region',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('region_id', sa.String(length=3), nullable=False),
    sa.Column('resultats_france_id', sa.Integer(), nullable=False),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['region_id'], ['region.code_insee'], ),
    sa.ForeignKeyConstraint(['resultats_france_id'], ['legislatives_2022_resultats_france.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_nuance',
    sa.Column('code', sa.String(length=8), nullable=False),
    sa.Column('nom', sa.String(length=64), nullable=False),
    sa.Column('couleur', sa.String(length=7), nullable=False),
    sa.Column('bloc_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['bloc_id'], ['legislatives_2024_bloc.id'], ),
    sa.PrimaryKeyConstraint('code'),
    sa.UniqueConstraint('nom')
    )
    op.create_table('legislatives_2024_resultats_region',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('region_id', sa.String(length=3), nullable=False),
    sa.Column('resultats_france_id', sa.Integer(), nullable=False),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['region_id'], ['region.code_insee'], ),
    sa.ForeignKeyConstraint(['resultats_france_id'], ['legislatives_2024_resultats_france.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_resultats_departement',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('dpt_id', sa.String(length=3), nullable=False),
    sa.Column('resultats_region_id', sa.Integer(), nullable=True),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['dpt_id'], ['departement.code_insee'], ),
    sa.ForeignKeyConstraint(['resultats_region_id'], ['legislatives_2022_resultats_region.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_voix_france',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('resultats_france_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2022_nuance.code'], ),
    sa.ForeignKeyConstraint(['resultats_france_id'], ['legislatives_2022_resultats_france.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_voix_region',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('resultats_region_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2022_nuance.code'], ),
    sa.ForeignKeyConstraint(['resultats_region_id'], ['legislatives_2022_resultats_region.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_resultats_departement',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('dpt_id', sa.String(length=3), nullable=False),
    sa.Column('resultats_region_id', sa.Integer(), nullable=True),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['dpt_id'], ['departement.code_insee'], ),
    sa.ForeignKeyConstraint(['resultats_region_id'], ['legislatives_2024_resultats_region.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_voix_france',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('resultats_france_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2024_nuance.code'], ),
    sa.ForeignKeyConstraint(['resultats_france_id'], ['legislatives_2024_resultats_france.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_voix_region',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('resultats_region_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2024_nuance.code'], ),
    sa.ForeignKeyConstraint(['resultats_region_id'], ['legislatives_2024_resultats_region.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_candidat',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('circonscription_id', sa.String(length=6), nullable=False),
    sa.Column('numero', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('bloc_id', sa.Integer(), nullable=False),
    sa.Column('nom', sa.String(length=256), nullable=False),
    sa.Column('prenom', sa.String(length=256), nullable=False),
    sa.Column('sexe', sa.Enum('MASCULIN', 'FEMININ', name='legislatives_2022_genre'), nullable=False),
    sa.Column('date_naissance', sa.Date(), nullable=False),
    sa.Column('profession', sa.String(length=256), nullable=False),
    sa.Column('sortant', sa.Boolean(), nullable=False),
    sa.Column('nom_suppleance', sa.String(length=256), nullable=False),
    sa.Column('prenom_suppleance', sa.String(length=256), nullable=False),
    sa.Column('sexe_suppleance', sa.Enum('MASCULIN', 'FEMININ', name='legislatives_2022_genre'), nullable=False),
    sa.Column('date_naissance_suppleance', sa.Date(), nullable=False),
    sa.Column('sortant_suppleance', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['bloc_id'], ['legislatives_2022_bloc.id'], ),
    sa.ForeignKeyConstraint(['circonscription_id'], ['circonscription.id'], ),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2022_nuance.code'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_resultats_circonscription',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('circo_id', sa.String(length=6), nullable=False),
    sa.Column('resultats_departement_id', sa.Integer(), nullable=False),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['circo_id'], ['circonscription.id'], ),
    sa.ForeignKeyConstraint(['resultats_departement_id'], ['legislatives_2022_resultats_departement.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_resultats_commune',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('commune_id', sa.String(length=5), nullable=False),
    sa.Column('resultats_dpt_id', sa.Integer(), nullable=False),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['commune_id'], ['commune.code_insee'], ),
    sa.ForeignKeyConstraint(['resultats_dpt_id'], ['legislatives_2022_resultats_departement.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_voix_departement',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('resultats_departement_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2022_nuance.code'], ),
    sa.ForeignKeyConstraint(['resultats_departement_id'], ['legislatives_2022_resultats_departement.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_candidat',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('circonscription_id', sa.String(length=6), nullable=False),
    sa.Column('numero', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('bloc_id', sa.Integer(), nullable=False),
    sa.Column('nom', sa.String(length=256), nullable=False),
    sa.Column('prenom', sa.String(length=256), nullable=False),
    sa.Column('sexe', sa.Enum('MASCULIN', 'FEMININ', name='legislatives_2024_genre'), nullable=False),
    sa.Column('date_naissance', sa.Date(), nullable=False),
    sa.Column('profession', sa.String(length=256), nullable=False),
    sa.Column('sortant', sa.Boolean(), nullable=False),
    sa.Column('nom_suppleance', sa.String(length=256), nullable=False),
    sa.Column('prenom_suppleance', sa.String(length=256), nullable=False),
    sa.Column('sexe_suppleance', sa.Enum('MASCULIN', 'FEMININ', name='legislatives_2024_genre_suppl'), nullable=False),
    sa.Column('date_naissance_suppleance', sa.Date(), nullable=False),
    sa.Column('sortant_suppleance', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['bloc_id'], ['legislatives_2024_bloc.id'], ),
    sa.ForeignKeyConstraint(['circonscription_id'], ['circonscription.id'], ),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2024_nuance.code'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_resultats_circonscription',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('circo_id', sa.String(length=6), nullable=False),
    sa.Column('resultats_departement_id', sa.Integer(), nullable=False),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['circo_id'], ['circonscription.id'], ),
    sa.ForeignKeyConstraint(['resultats_departement_id'], ['legislatives_2024_resultats_departement.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_resultats_commune',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('commune_id', sa.String(length=5), nullable=False),
    sa.Column('resultats_dpt_id', sa.Integer(), nullable=False),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['commune_id'], ['commune.code_insee'], ),
    sa.ForeignKeyConstraint(['resultats_dpt_id'], ['legislatives_2024_resultats_departement.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_voix_departement',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('resultats_departement_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2024_nuance.code'], ),
    sa.ForeignKeyConstraint(['resultats_departement_id'], ['legislatives_2024_resultats_departement.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_resultats_bureau_vote',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('bv_id', sa.String(length=16), nullable=False),
    sa.Column('resultats_commune_id', sa.Integer(), nullable=False),
    sa.Column('resultats_circo_id', sa.Integer(), nullable=True),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['bv_id'], ['bureau_vote.id'], ),
    sa.ForeignKeyConstraint(['resultats_circo_id'], ['legislatives_2022_resultats_circonscription.id'], ),
    sa.ForeignKeyConstraint(['resultats_commune_id'], ['legislatives_2022_resultats_commune.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_voix_circonscription',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('candidat_id', sa.Integer(), nullable=False),
    sa.Column('resultats_circonscription_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['candidat_id'], ['legislatives_2022_candidat.id'], ),
    sa.ForeignKeyConstraint(['resultats_circonscription_id'], ['legislatives_2022_resultats_circonscription.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_voix_commune',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('resultats_commune_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2022_nuance.code'], ),
    sa.ForeignKeyConstraint(['resultats_commune_id'], ['legislatives_2022_resultats_commune.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_resultats_bureau_vote',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('bv_id', sa.String(length=16), nullable=False),
    sa.Column('resultats_commune_id', sa.Integer(), nullable=False),
    sa.Column('resultats_circo_id', sa.Integer(), nullable=True),
    sa.Column('inscrits_t1', sa.Integer(), nullable=False),
    sa.Column('votants_t1', sa.Integer(), nullable=False),
    sa.Column('abstentions_t1', sa.Integer(), nullable=False),
    sa.Column('exprimes_t1', sa.Integer(), nullable=False),
    sa.Column('blancs_t1', sa.Integer(), nullable=False),
    sa.Column('nuls_t1', sa.Integer(), nullable=False),
    sa.Column('inscrits_t2', sa.Integer(), nullable=False),
    sa.Column('votants_t2', sa.Integer(), nullable=False),
    sa.Column('abstentions_t2', sa.Integer(), nullable=False),
    sa.Column('exprimes_t2', sa.Integer(), nullable=False),
    sa.Column('blancs_t2', sa.Integer(), nullable=False),
    sa.Column('nuls_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['bv_id'], ['bureau_vote.id'], ),
    sa.ForeignKeyConstraint(['resultats_circo_id'], ['legislatives_2024_resultats_circonscription.id'], ),
    sa.ForeignKeyConstraint(['resultats_commune_id'], ['legislatives_2024_resultats_commune.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_voix_circonscription',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('candidat_id', sa.Integer(), nullable=False),
    sa.Column('resultats_circonscription_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['candidat_id'], ['legislatives_2024_candidat.id'], ),
    sa.ForeignKeyConstraint(['resultats_circonscription_id'], ['legislatives_2024_resultats_circonscription.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_voix_commune',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nuance_id', sa.String(length=8), nullable=False),
    sa.Column('resultats_commune_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['nuance_id'], ['legislatives_2024_nuance.code'], ),
    sa.ForeignKeyConstraint(['resultats_commune_id'], ['legislatives_2024_resultats_commune.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2022_voix_bureau_vote',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('candidat_id', sa.Integer(), nullable=False),
    sa.Column('resultats_bureau_vote_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['candidat_id'], ['legislatives_2022_candidat.id'], ),
    sa.ForeignKeyConstraint(['resultats_bureau_vote_id'], ['legislatives_2022_resultats_bureau_vote.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('legislatives_2024_voix_bureau_vote',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('candidat_id', sa.Integer(), nullable=False),
    sa.Column('resultats_bureau_vote_id', sa.Integer(), nullable=False),
    sa.Column('voix_t1', sa.Integer(), nullable=False),
    sa.Column('voix_t2', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['candidat_id'], ['legislatives_2024_candidat.id'], ),
    sa.ForeignKeyConstraint(['resultats_bureau_vote_id'], ['legislatives_2024_resultats_bureau_vote.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('legislatives_2024_voix_bureau_vote')
    op.drop_table('legislatives_2022_voix_bureau_vote')
    op.drop_table('legislatives_2024_voix_commune')
    op.drop_table('legislatives_2024_voix_circonscription')
    op.drop_table('legislatives_2024_resultats_bureau_vote')
    op.drop_table('legislatives_2022_voix_commune')
    op.drop_table('legislatives_2022_voix_circonscription')
    op.drop_table('legislatives_2022_resultats_bureau_vote')
    op.drop_table('legislatives_2024_voix_departement')
    op.drop_table('legislatives_2024_resultats_commune')
    op.drop_table('legislatives_2024_resultats_circonscription')
    op.drop_table('legislatives_2024_candidat')
    op.drop_table('legislatives_2022_voix_departement')
    op.drop_table('legislatives_2022_resultats_commune')
    op.drop_table('legislatives_2022_resultats_circonscription')
    op.drop_table('legislatives_2022_candidat')
    op.drop_table('legislatives_2024_voix_region')
    op.drop_table('legislatives_2024_voix_france')
    op.drop_table('legislatives_2024_resultats_departement')
    op.drop_table('legislatives_2022_voix_region')
    op.drop_table('legislatives_2022_voix_france')
    op.drop_table('legislatives_2022_resultats_departement')
    op.drop_table('legislatives_2024_resultats_region')
    op.drop_table('legislatives_2024_nuance')
    op.drop_table('legislatives_2022_resultats_region')
    op.drop_table('legislatives_2022_nuance')
    op.drop_table('legislatives_2024_resultats_france')
    op.drop_table('legislatives_2024_bloc')
    op.drop_table('legislatives_2022_resultats_france')
    op.drop_table('legislatives_2022_bloc')
    # ### end Alembic commands ###
