import {createBrowserRouter, RouterProvider} from "react-router-dom"

import './App.css'
import ElectionsLegislatives2022 from "./ElectionsLegislatives2022"
import ElectionsEuropeennes2024 from './ElectionsEuropeennes2024'

function App() {
  const router = createBrowserRouter([
    {
      path: "/",
      element: <ElectionsEuropeennes2024 typeResultats="france" />,
    },
    {
      path: "/elections/legislatives/2022/:typeResultats/",
      element: <ElectionsLegislatives2022 />,
    },
    {
      path: "/elections/legislatives/2022/:typeResultats/:zoneId/",
      element: <ElectionsLegislatives2022 />
    },
    {
      path: "/elections/europeennes/2024/:typeResultats/",
      element: <ElectionsEuropeennes2024 />,
    },
    {
      path: "/elections/europeennes/2024/:typeResultats/:zoneId/",
      element: <ElectionsEuropeennes2024 />
    },
    // {
    //   path: "/elections/legislatives/2024/:typeResultats/",
    //   element: <ElectionsLegislatives2024 />,
    // },
    // {
    //   path: "/elections/legislatives/2024/:typeResultats/:zoneId/",
    //   element: <ElectionsLegislatives2024 />
    // },
  ])

  return <>
    <RouterProvider router={router} />
  </>
}

export default App;
